Subject: Re: pmdisk working on ppc (WAS: Help port swsusp to ppc)

From: Benjamin Herrenschmidt <[email-masked]>
Date: Thu, 29 Jan 2004 08:55:00 +1100

On Thu, 2004-01-29 at 03:09, Michael Schmitz wrote:
> > > Battery requests might have been underway; pmud is running. If I read
> > > pmu_suspend() right, pending battery requests should result in pmu_suspend
> > > waiting for them to finish?
> >
> > Normally yes... pmud isn't running at this point (all processes are frozen)
>
> OK. I put a mdelay(100) between the PMU_SYSTEM_READY request and the
> pmu_suspend() call in pmu_sys_resume and it seems to work so far. Side
> note: if you are saving a large system and have multiple swap files, play
> with swap priorities to make sure the pages are swapped out to the file
> _not_ used for suspend.

Hrm... Remove the PMU_SYSTEM_READY, it's a bug to call it on a 101...
And it's not needed anyway.

Ben.

** Sent via the linuxppc-dev mail list. See http://lists.linuxppc.org/